Page Contents

Pré-requis

  • Un serveur HTTP. Apache avec mod_rewrite est préférable, mais en aucune façon obligatoire.
  • PHP 4.3.2 ou plus récent. Oui, CakePHP fonctionne très bien en PHP 4 ou 5.

Techniquement, un moteur de base de données n’est pas obligatoire, mais nous imaginons que la plupart des applications en font usage. CakePHP supporte de nombreux moteurs de bases de données :

  • MySQL (4 ou plus)
  • PostgreSQL
  • Microsoft SQL Server
  • Oracle
  • SQLite